Name:           python-cloud-volume
Version:        12.2.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A serverless client for reading and writing Neuroglancer Precomputed volumes both locally and on cloud services.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/seung-lab/cloud-volume/
Source:         %{pypi_source cloud_volume}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'cloud-volume' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-cloud-volume
Summary:        %{summary}

%description -n python3-cloud-volume %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-cloud-volume all,all_codecs,all_viewers,blosc,boss,compresso,crackle,dask,em_codecs,fp_codecs,fpzip,jpeg,jxl,mesh_viewer,png,seg_codecs,skeleton_viewer,test,zarr,zfpc


%prep
%autosetup -p1 -n cloud_volume-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,all_codecs,all_viewers,blosc,boss,compresso,crackle,dask,em_codecs,fp_codecs,fpzip,jpeg,jxl,mesh_viewer,png,seg_codecs,skeleton_viewer,test,zarr,zfpc


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-cloud-volume -f %{pyproject_files}


%changelog
%autochangelog